Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 152884

Summary: Sometimes Apache fails to start
Product: [Retired] Fedora Legacy Reporter: Nigel Horne <njh>
Component: GeneralAssignee: Fedora Legacy Bugs <bugs>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedKeywords: FutureFeature
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://faq.otrs.org/otrs/faq.pl?Action=&ID=4&SessionID=
Whiteboard: LEGACY
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-08-01 20:07:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Lawrence 2005-03-30 23:30:55 UTC
Sometimes Apache fails to start (see
http://faq.otrs.org/otrs/faq.pl?Action=&ID=4&SessionID= for details).

Applying this patch to /etc/rc.d/init.d/httpd fixes the problem:

*** Ohttpd      2005-01-23 09:03:25.000000000 +0000
--- httpd       2005-01-23 09:04:12.000000000 +0000
***************
*** 49,54 ****
--- 49,56 ----
  start() {
          echo -n $"Starting $prog: "
          check13 || exit 1
+       ipcs -s | grep apache |  perl -e 'while (<STDIN>) {
+               @a=split(/\s+/); print `ipcrm sem $a[1]`}'
          daemon $httpd $OPTIONS
          RETVAL=$?
          echo

This patch applies to RH8.0, but almost certainly is needed for other versions
including Fedora.



------- Additional Comments From dom@earth.li 2005-01-27 14:02:55 ----

Not a security bug.



------- Additional Comments From njh@bandsman.co.uk 2005-01-27 20:09:32 ----

I never said it was a security bug.



------- Additional Comments From dom@earth.li 2005-02-22 16:12:09 ----

Hi Nigel,

Fedora Legacy's focus is on security updates. We simply don't have the resources
to handle updating packages for bugfixes like this (the fix may be trivial, but
the building, QA and release still takes time).

However, I'm leaving it open, in the event that an apache security update is
needed in future.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:30 -------

This bug previously known as bug 2391 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2391
Originally filed under the Fedora Legacy product and General component.

Unknown priority P4. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 Matthew Miller 2005-04-12 14:54:10 UTC
I'm not keen on introducing perl as a requirement for the httpd startup script;
if we do patch this sometime, the fix should be something different.

That said -- Nigel, does this affect FC3 or FC4test? It may be better to move
this bug to one of those releases and get it fixed there, and then backport the
fix when we get a chance.

Comment 2 Marc Deslauriers 2005-08-01 20:07:30 UTC
We won't be fixing this in Fedora Legacy releases. If this affects a current
Fedora Core version, please reopen the bug under that version.